Subject: [TLS] Working Group Last Call for ECH

From: Joseph Salowey <[email-masked]>
Date: Mon, 11 Mar 2024 15:00:01 -0700

This is the working group last call for TLS Encrypted Client Hello [1].
Please indicate if you think the draft is ready to progress to the IESG and
send any comments to the list by 31 March 2024.  The comments sent by
Watson Ladd to the list [2] on 17 February 2024 will be considered last
call comments.

Thanks,

Joe, Deirdre, and Sean

[1] https://datatracker.ietf.org/doc/draft-ietf-tls-esni/
[2] https://mailarchive.ietf.org/arch/msg/tls/XUCFuNBSQfSJclkhLW-14DZ0ETg/